Get a campaign
GET
/api/v1/campaigns/{uid}
The campaign and its statistics. For an archived campaign, the statistics are the ones
kept when it was archived; null when it was archived before statistics were kept.
Parameters
uid
string
required
path
The campaign's uid.
Responses
200
The campaign.
401
The token is missing or wrong (
Unauthenticated.), or its user may not act on
this object (Unauthorized). Without the Accept: application/json header, a
missing or wrong token answers with a redirect to the sign-in page instead.
404
No campaign has this uid.
Get a campaign
1
2
3
curl 'https://your-domain/api/v1/campaigns/6adaabd2b4753' \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
1
2
$client = new Acelle\Client('https://your-domain/api/v1', 'YOUR_API_TOKEN');
$client->campaign()->find('6adaabd2b4753');
Response
{
"campaign": {
"id": 1,
"uid": "6adaabd2b4753",
"name": "November newsletter",
"list": "Newsletter",
"segment": "",
"audience": "lists",
"addresses": null,
"from_email": "hello@example.com",
"from_name": "Example Team",
"custom_headers": [],
"remind_message": null,
"status": "done",
"archive_status": null,
"archived_at": null,
"created_at": "2026-11-01T05:29:19.000000Z",
"updated_at": "2026-11-03T10:12:40.000000Z"
},
"statistics": {
"subscriber_count": 1942,
"duplicate_count": 0,
"delivered_rate": 0.6117,
"uniq_open_rate": 0.3965,
"open_rate": 0.3965,
"unique_open_count": 471,
"uniq_open_count": 471,
"last_open": "2026-11-04T23:13:30.000000Z",
"click_rate": 0.0396,
"click_count": 47,
"last_click": "2026-11-04T23:07:30.000000Z",
"abuse_feedback_count": 0,
"bounce_count": 0,
"unsubscribe_count": 0,
"links": [
"https://example.com/offer"
],
"top_locations": [
"203.0.113.5",
"198.51.100.30"
],
"top_active_subscribers": [
{
"uid": "ec9a5eef0b70f",
"email": "anna@example.com",
"opens": 3,
"clicks": 1
}
]
}
}